Subject: Re: fatal: unexpected EOF

From: Brian Gerst <[email-masked]>
Date: Tue, 28 Feb 2006 10:43:16 -0500

Linus Torvalds wrote:
> 
> On Tue, 28 Feb 2006, Brian Gerst wrote:
> 
>>Lately I've been receiving this error frequently from git.kernel.org:
>>
>>Fetching pack (head and objects)...
>>fatal: unexpected EOF
>>cg-fetch: fetching pack failed
>>
>>What is causing this?
> 
> 
> Almost any error will cause the pack sending to abort, and the git:// 
> protocol only opens a single socket for data, so there is no way for the 
> other end to say _what_ failed.
> 
> With git.kernel.org, I suspect the reason for the failure is almost always 
> the same, though: the mirroring is not complete, so it doesn't have all 
> object files. The mirroring from master.kernel.org to the actual public 
> machines is just a rsync script, so there's no atomicity guarantees.
> 
> That said, it might be a load issue too - I don't know what limits 
> Peter & co put on the git daemons, and it might also be that it's set up 
> to accept at most <n> connections and will close anything else.
> 
> 		Linus
> 
> 

I doubt it is a problem with mirroring, since it affects all repos 
(kernel, git, cogito, etc.) at the same time.

--
				Brian Gerst